## allegro4.4 4.4.2-maemo1

=== docs/CMakeLists.txt ===
#-----------------------------------------------------------------------------#
#
# Documentation
#

option(WANT_DOCS "Generate documentation" on)
if(NOT WANT_DOCS OR CMAKE_CROSSCOMPILING)
    return()
endif()

set(DOCDIR "doc" CACHE STRING "Install docs into $DOCDIR/allegro-$VERSION")
set(ACTUAL_DOC_DIR "${DOCDIR}/allegro-${ALLEGRO_VERSION}")

add_executable(makedoc
    src/makedoc/makedoc.c
    src/makedoc/makehtml.c
    src/makedoc/makemisc.c
    src/makedoc/maketxt.c
    src/makedoc/makertf.c
    src/makedoc/maketexi.c
    src/makedoc/makeman.c
    src/makedoc/makechm.c
    src/makedoc/makedevh.c
    src/makedoc/makesci.c
    )

file(MAKE_DIRECTORY
    ${CMAKE_CURRENT_BINARY_DIR}/build
    ${CMAKE_CURRENT_BINARY_DIR}/txt
    ${CMAKE_CURRENT_BINARY_DIR}/html
    ${CMAKE_CURRENT_BINARY_DIR}/rtf
    ${CMAKE_CURRENT_BINARY_DIR}/scite
    ${CMAKE_CURRENT_BINARY_DIR}/texi
    ${CMAKE_CURRENT_BINARY_DIR}/info
    ${CMAKE_CURRENT_BINARY_DIR}/man
    )

set(DOC_SRCS
    src/abi._tx
    src/addons._tx
    src/ahack._tx
    src/allegro._tx
    src/api._tx
    src/changes._tx
    src/const._tx
    src/dat2c._tx
    src/dat2s._tx
    src/datafile._tx
    src/dat._tx
    src/faq._tx
    src/grabber._tx
    src/help._tx
    src/index._tx
    src/license._tx
    src/makedoc._tx
    src/mistakes._tx
    src/packfile._tx
    src/readme._tx
    src/thanks._tx

    src/build/cmake._tx
    src/build/linux._tx
    src/build/macosx._tx
    src/build/mingw32._tx
    src/build/msvc._tx
    src/build/unix._tx
    )

set(all_docs)
foreach(page ${DOC_SRCS})
    string(REGEX MATCH "[^/]*._tx" basename ${page})
    string(REPLACE "._tx" "" basename ${basename})

    set(page ${CMAKE_CURRENT_SOURCE_DIR}/${page})
    if(${page} MATCHES "/build/")
        set(txt_out ${CMAKE_CURRENT_BINARY_DIR}/txt/${basename}.txt)
        set(html_out ${CMAKE_CURRENT_BINARY_DIR}/html/${basename}.html)
    else()
        set(txt_out ${CMAKE_CURRENT_BINARY_DIR}/txt/${basename}.txt)
        set(html_out ${CMAKE_CURRENT_BINARY_DIR}/html/${basename}.html)
    endif()

    add_custom_command(
        OUTPUT ${txt_out}
        DEPENDS makedoc ${page}
        COMMAND makedoc -ascii ${txt_out} ${page}
        )

    add_custom_command(
        OUTPUT ${html_out}
        DEPENDS makedoc ${page}
        COMMAND makedoc -html ${html_out} ${page}
        )

    list(APPEND all_docs ${txt_out} ${html_out})
endforeach()

macro(ascii_file out src)
    # You'll have to ask Shawn why it was like this...
    add_custom_command(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${out}
        DEPENDS makedoc ${CMAKE_CURRENT_SOURCE_DIR}/${src}
        COMMAND makedoc ${ARGN}
                -ascii ${CMAKE_CURRENT_BINARY_DIR}/${out}
                ${CMAKE_CURRENT_SOURCE_DIR}/${src}
        )
    list(APPEND all_docs ${CMAKE_CURRENT_BINARY_DIR}/${out})
endmacro()

# Files in the root directory.
ascii_file(AUTHORS src/thanks._tx -part)
ascii_file(THANKS src/thanks._tx -part)
ascii_file(CHANGES src/changes._tx)
ascii_file(readme.txt src/readme._tx)

if(UNIX)
    set(TEXT_FILES_TO_INSTALL
        ${CMAKE_CURRENT_BINARY_DIR}/AUTHORS
        ${CMAKE_CURRENT_BINARY_DIR}/THANKS
        ${CMAKE_CURRENT_BINARY_DIR}/CHANGES
        ${CMAKE_CURRENT_BINARY_DIR}/readme.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/abi.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/addons.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/ahack.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/allegro.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/api.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/const.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/dat.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/dat2c.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/dat2s.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/datafile.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/faq.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/grabber.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/help.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/license.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/makedoc.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/mistakes.txt
        ${CMAKE_CURRENT_BINARY_DIR}/txt/packfile.txt
        )
    install(FILES ${TEXT_FILES_TO_INSTALL}
            DESTINATION ${ACTUAL_DOC_DIR}
            )

    file(GLOB HTML_DOCS
            ${CMAKE_CURRENT_BINARY_DIR}/html/*.html
            ${CMAKE_CURRENT_BINARY_DIR}/html/*.css
            )
    install(FILES ${HTML_DOCS}
            DESTINATION ${ACTUAL_DOC_DIR}/html
            )
endif(UNIX)

#-----------------------------------------------------------------------------#
#
# Man pages
#

option(WANT_DOCS_MAN "Generate man pages" on)
set(MANDIR "man" CACHE STRING "Install man pages into this directory")

if(WANT_DOCS_MAN)
    set(man_out ${CMAKE_CURRENT_BINARY_DIR}/man/allegro_init.3)
    set(man_src ${CMAKE_CURRENT_SOURCE_DIR}/src/allegro._tx)

    add_custom_command(
        OUTPUT ${man_out}
        DEPENDS makedoc ${man_src}
        COMMAND makedoc -man ${man_out} ${man_src}
        )
    list(APPEND all_docs ${man_out})

    # I'm assuming only Unix users want man pages installed, but djgpp supports
    # man pages to so this might need to change.
    if(UNIX)
        file(GLOB MAN_PAGES ${CMAKE_CURRENT_BINARY_DIR}/man/*.3)
        install(FILES ${MAN_PAGES}
                DESTINATION ${MANDIR}/man3
                )
    endif(UNIX)
endif(WANT_DOCS_MAN)

#-----------------------------------------------------------------------------#
#
# Info
#

option(WANT_DOCS_INFO "Generate Info document" on)
find_program(MAKEINFO NAMES makeinfo)
mark_as_advanced(MAKEINFO)
set(INFODIR "info" CACHE STRING "Install Info docs into this directory")

if(WANT_DOCS_INFO AND MAKEINFO)
    set(texi_out ${CMAKE_CURRENT_BINARY_DIR}/texi/allegro.texi)
    set(info_out ${CMAKE_CURRENT_BINARY_DIR}/info/allegro.info)
    set(info_src ${CMAKE_CURRENT_SOURCE_DIR}/src/allegro._tx)

    add_custom_command(
        OUTPUT ${texi_out}
        DEPENDS makedoc ${info_src}
        COMMAND makedoc -texi ${texi_out} ${info_src}
        )
    add_custom_command(
        OUTPUT ${info_out}
        DEPENDS ${texi_out}
        COMMAND ${MAKEINFO} --no-split -o ${info_out} ${texi_out}
        )
    list(APPEND all_docs ${info_out})

    if(UNIX)
        install(FILES ${info_out}
                DESTINATION ${INFODIR}
                )
    endif(UNIX)
endif(WANT_DOCS_INFO AND MAKEINFO)

#-----------------------------------------------------------------------------#
#
# Scite
#

set(scite_out ${CMAKE_CURRENT_BINARY_DIR}/scite/allegro.api)
set(scite_src ${CMAKE_CURRENT_SOURCE_DIR}/src/allegro._tx)

add_custom_command(
    OUTPUT ${scite_out}
    DEPENDS makedoc ${page}
    COMMAND makedoc -scite ${scite_out} ${scite_src}
    )
list(APPEND all_docs ${scite_out})

#-----------------------------------------------------------------------------#

add_custom_target(docs ALL DEPENDS ${all_docs})

#-----------------------------------------------------------------------------#
# vim: set sts=4 sw=4 et:

=== build_old/docs/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/docs/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
docs/CMakeFiles/docs.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/CMakeFiles/docs.dir/rule
.PHONY : docs/CMakeFiles/docs.dir/rule

# Convenience name for target.
docs: docs/CMakeFiles/docs.dir/rule
.PHONY : docs

# fast build rule for target.
docs/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/docs.dir/build.make docs/CMakeFiles/docs.dir/build
.PHONY : docs/fast

# Convenience name for target.
docs/CMakeFiles/makedoc.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 docs/CMakeFiles/makedoc.dir/rule
.PHONY : docs/CMakeFiles/makedoc.dir/rule

# Convenience name for target.
makedoc: docs/CMakeFiles/makedoc.dir/rule
.PHONY : makedoc

# fast build rule for target.
makedoc/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/build
.PHONY : makedoc/fast

src/makedoc/makechm.o: src/makedoc/makechm.c.o
.PHONY : src/makedoc/makechm.o

# target to build an object file
src/makedoc/makechm.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makechm.c.o
.PHONY : src/makedoc/makechm.c.o

src/makedoc/makechm.i: src/makedoc/makechm.c.i
.PHONY : src/makedoc/makechm.i

# target to preprocess a source file
src/makedoc/makechm.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makechm.c.i
.PHONY : src/makedoc/makechm.c.i

src/makedoc/makechm.s: src/makedoc/makechm.c.s
.PHONY : src/makedoc/makechm.s

# target to generate assembly for a file
src/makedoc/makechm.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makechm.c.s
.PHONY : src/makedoc/makechm.c.s

src/makedoc/makedevh.o: src/makedoc/makedevh.c.o
.PHONY : src/makedoc/makedevh.o

# target to build an object file
src/makedoc/makedevh.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedevh.c.o
.PHONY : src/makedoc/makedevh.c.o

src/makedoc/makedevh.i: src/makedoc/makedevh.c.i
.PHONY : src/makedoc/makedevh.i

# target to preprocess a source file
src/makedoc/makedevh.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedevh.c.i
.PHONY : src/makedoc/makedevh.c.i

src/makedoc/makedevh.s: src/makedoc/makedevh.c.s
.PHONY : src/makedoc/makedevh.s

# target to generate assembly for a file
src/makedoc/makedevh.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedevh.c.s
.PHONY : src/makedoc/makedevh.c.s

src/makedoc/makedoc.o: src/makedoc/makedoc.c.o
.PHONY : src/makedoc/makedoc.o

# target to build an object file
src/makedoc/makedoc.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedoc.c.o
.PHONY : src/makedoc/makedoc.c.o

src/makedoc/makedoc.i: src/makedoc/makedoc.c.i
.PHONY : src/makedoc/makedoc.i

# target to preprocess a source file
src/makedoc/makedoc.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedoc.c.i
.PHONY : src/makedoc/makedoc.c.i

src/makedoc/makedoc.s: src/makedoc/makedoc.c.s
.PHONY : src/makedoc/makedoc.s

# target to generate assembly for a file
src/makedoc/makedoc.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makedoc.c.s
.PHONY : src/makedoc/makedoc.c.s

src/makedoc/makehtml.o: src/makedoc/makehtml.c.o
.PHONY : src/makedoc/makehtml.o

# target to build an object file
src/makedoc/makehtml.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makehtml.c.o
.PHONY : src/makedoc/makehtml.c.o

src/makedoc/makehtml.i: src/makedoc/makehtml.c.i
.PHONY : src/makedoc/makehtml.i

# target to preprocess a source file
src/makedoc/makehtml.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makehtml.c.i
.PHONY : src/makedoc/makehtml.c.i

src/makedoc/makehtml.s: src/makedoc/makehtml.c.s
.PHONY : src/makedoc/makehtml.s

# target to generate assembly for a file
src/makedoc/makehtml.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makehtml.c.s
.PHONY : src/makedoc/makehtml.c.s

src/makedoc/makeman.o: src/makedoc/makeman.c.o
.PHONY : src/makedoc/makeman.o

# target to build an object file
src/makedoc/makeman.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makeman.c.o
.PHONY : src/makedoc/makeman.c.o

src/makedoc/makeman.i: src/makedoc/makeman.c.i
.PHONY : src/makedoc/makeman.i

# target to preprocess a source file
src/makedoc/makeman.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makeman.c.i
.PHONY : src/makedoc/makeman.c.i

src/makedoc/makeman.s: src/makedoc/makeman.c.s
.PHONY : src/makedoc/makeman.s

# target to generate assembly for a file
src/makedoc/makeman.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makeman.c.s
.PHONY : src/makedoc/makeman.c.s

src/makedoc/makemisc.o: src/makedoc/makemisc.c.o
.PHONY : src/makedoc/makemisc.o

# target to build an object file
src/makedoc/makemisc.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makemisc.c.o
.PHONY : src/makedoc/makemisc.c.o

src/makedoc/makemisc.i: src/makedoc/makemisc.c.i
.PHONY : src/makedoc/makemisc.i

# target to preprocess a source file
src/makedoc/makemisc.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f docs/CMakeFiles/makedoc.dir/build.make docs/CMakeFiles/makedoc.dir/src/makedoc/makemisc.c.i
.PHONY : src/makedoc/makemisc.c.i

src/makedoc/makemisc.s: src/makedoc/makemisc.c.s
.PHONY : src/makedoc/makemisc.s

# target to generate assembly for a file
src/makedoc/makemisc.c.s:

=== build_old/examples/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/examples/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
examples/CMakeFiles/copy_example_data.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/copy_example_data.dir/rule
.PHONY : examples/CMakeFiles/copy_example_data.dir/rule

# Convenience name for target.
copy_example_data: examples/CMakeFiles/copy_example_data.dir/rule
.PHONY : copy_example_data

# fast build rule for target.
copy_example_data/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/copy_example_data.dir/build.make examples/CMakeFiles/copy_example_data.dir/build
.PHONY : copy_example_data/fast

# Convenience name for target.
examples/CMakeFiles/ex12bit.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/ex12bit.dir/rule
.PHONY : examples/CMakeFiles/ex12bit.dir/rule

# Convenience name for target.
ex12bit: examples/CMakeFiles/ex12bit.dir/rule
.PHONY : ex12bit

# fast build rule for target.
ex12bit/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/ex12bit.dir/build.make examples/CMakeFiles/ex12bit.dir/build
.PHONY : ex12bit/fast

# Convenience name for target.
examples/CMakeFiles/ex3buf.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/ex3buf.dir/rule
.PHONY : examples/CMakeFiles/ex3buf.dir/rule

# Convenience name for target.
ex3buf: examples/CMakeFiles/ex3buf.dir/rule
.PHONY : ex3buf

# fast build rule for target.
ex3buf/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/ex3buf.dir/build.make examples/CMakeFiles/ex3buf.dir/build
.PHONY : ex3buf/fast

# Convenience name for target.
examples/CMakeFiles/ex3d.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/ex3d.dir/rule
.PHONY : examples/CMakeFiles/ex3d.dir/rule

# Convenience name for target.
ex3d: examples/CMakeFiles/ex3d.dir/rule
.PHONY : ex3d

# fast build rule for target.
ex3d/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/ex3d.dir/build.make examples/CMakeFiles/ex3d.dir/build
.PHONY : ex3d/fast

# Convenience name for target.
examples/CMakeFiles/exaccel.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exaccel.dir/rule
.PHONY : examples/CMakeFiles/exaccel.dir/rule

# Convenience name for target.
exaccel: examples/CMakeFiles/exaccel.dir/rule
.PHONY : exaccel

# fast build rule for target.
exaccel/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exaccel.dir/build.make examples/CMakeFiles/exaccel.dir/build
.PHONY : exaccel/fast

# Convenience name for target.
examples/CMakeFiles/exalpha.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exalpha.dir/rule
.PHONY : examples/CMakeFiles/exalpha.dir/rule

# Convenience name for target.
exalpha: examples/CMakeFiles/exalpha.dir/rule
.PHONY : exalpha

# fast build rule for target.
exalpha/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exalpha.dir/build.make examples/CMakeFiles/exalpha.dir/build
.PHONY : exalpha/fast

# Convenience name for target.
examples/CMakeFiles/exbitmap.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exbitmap.dir/rule
.PHONY : examples/CMakeFiles/exbitmap.dir/rule

# Convenience name for target.
exbitmap: examples/CMakeFiles/exbitmap.dir/rule
.PHONY : exbitmap

# fast build rule for target.
exbitmap/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exbitmap.dir/build.make examples/CMakeFiles/exbitmap.dir/build
.PHONY : exbitmap/fast

# Convenience name for target.
examples/CMakeFiles/exblend.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exblend.dir/rule
.PHONY : examples/CMakeFiles/exblend.dir/rule

# Convenience name for target.
exblend: examples/CMakeFiles/exblend.dir/rule
.PHONY : exblend

# fast build rule for target.
exblend/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exblend.dir/build.make examples/CMakeFiles/exblend.dir/build
.PHONY : exblend/fast

# Convenience name for target.
examples/CMakeFiles/excamera.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/excamera.dir/rule
.PHONY : examples/CMakeFiles/excamera.dir/rule

# Convenience name for target.
excamera: examples/CMakeFiles/excamera.dir/rule
.PHONY : excamera

# fast build rule for target.
excamera/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/excamera.dir/build.make examples/CMakeFiles/excamera.dir/build
.PHONY : excamera/fast

# Convenience name for target.
examples/CMakeFiles/excolmap.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/excolmap.dir/rule
.PHONY : examples/CMakeFiles/excolmap.dir/rule

# Convenience name for target.
excolmap: examples/CMakeFiles/excolmap.dir/rule
.PHONY : excolmap

# fast build rule for target.
excolmap/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/excolmap.dir/build.make examples/CMakeFiles/excolmap.dir/build
.PHONY : excolmap/fast

# Convenience name for target.
examples/CMakeFiles/exconfig.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/exconfig.dir/rule
.PHONY : examples/CMakeFiles/exconfig.dir/rule

# Convenience name for target.
exconfig: examples/CMakeFiles/exconfig.dir/rule
.PHONY : exconfig

# fast build rule for target.
exconfig/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/exconfig.dir/build.make examples/CMakeFiles/exconfig.dir/build
.PHONY : exconfig/fast

# Convenience name for target.
examples/CMakeFiles/excustom.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 examples/CMakeFiles/excustom.dir/rule
.PHONY : examples/CMakeFiles/excustom.dir/rule

# Convenience name for target.
excustom: examples/CMakeFiles/excustom.dir/rule
.PHONY : excustom

# fast build rule for target.
excustom/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f examples/CMakeFiles/excustom.dir/build.make examples/CMakeFiles/excustom.dir/build
.PHONY : excustom/fast

# Convenience name for target.
examples/CMakeFiles/exdata.dir/rule:

=== build_old/tests/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/tests/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
tests/CMakeFiles/afinfo.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/afinfo.dir/rule
.PHONY : tests/CMakeFiles/afinfo.dir/rule

# Convenience name for target.
afinfo: tests/CMakeFiles/afinfo.dir/rule
.PHONY : afinfo

# fast build rule for target.
afinfo/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/afinfo.dir/build.make tests/CMakeFiles/afinfo.dir/build
.PHONY : afinfo/fast

# Convenience name for target.
tests/CMakeFiles/akaitest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/akaitest.dir/rule
.PHONY : tests/CMakeFiles/akaitest.dir/rule

# Convenience name for target.
akaitest: tests/CMakeFiles/akaitest.dir/rule
.PHONY : akaitest

# fast build rule for target.
akaitest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/akaitest.dir/build.make tests/CMakeFiles/akaitest.dir/build
.PHONY : akaitest/fast

# Convenience name for target.
tests/CMakeFiles/digitest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/digitest.dir/rule
.PHONY : tests/CMakeFiles/digitest.dir/rule

# Convenience name for target.
digitest: tests/CMakeFiles/digitest.dir/rule
.PHONY : digitest

# fast build rule for target.
digitest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/digitest.dir/build.make tests/CMakeFiles/digitest.dir/build
.PHONY : digitest/fast

# Convenience name for target.
tests/CMakeFiles/filetest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/filetest.dir/rule
.PHONY : tests/CMakeFiles/filetest.dir/rule

# Convenience name for target.
filetest: tests/CMakeFiles/filetest.dir/rule
.PHONY : filetest

# fast build rule for target.
filetest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/filetest.dir/build.make tests/CMakeFiles/filetest.dir/build
.PHONY : filetest/fast

# Convenience name for target.
tests/CMakeFiles/gfxinfo.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/gfxinfo.dir/rule
.PHONY : tests/CMakeFiles/gfxinfo.dir/rule

# Convenience name for target.
gfxinfo: tests/CMakeFiles/gfxinfo.dir/rule
.PHONY : gfxinfo

# fast build rule for target.
gfxinfo/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/gfxinfo.dir/build.make tests/CMakeFiles/gfxinfo.dir/build
.PHONY : gfxinfo/fast

# Convenience name for target.
tests/CMakeFiles/mathtest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/mathtest.dir/rule
.PHONY : tests/CMakeFiles/mathtest.dir/rule

# Convenience name for target.
mathtest: tests/CMakeFiles/mathtest.dir/rule
.PHONY : mathtest

# fast build rule for target.
mathtest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/mathtest.dir/build.make tests/CMakeFiles/mathtest.dir/build
.PHONY : mathtest/fast

# Convenience name for target.
tests/CMakeFiles/miditest.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/miditest.dir/rule
.PHONY : tests/CMakeFiles/miditest.dir/rule

# Convenience name for target.
miditest: tests/CMakeFiles/miditest.dir/rule
.PHONY : miditest

# fast build rule for target.
miditest/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/miditest.dir/build.make tests/CMakeFiles/miditest.dir/build
.PHONY : miditest/fast

# Convenience name for target.
tests/CMakeFiles/play.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/play.dir/rule
.PHONY : tests/CMakeFiles/play.dir/rule

# Convenience name for target.
play: tests/CMakeFiles/play.dir/rule
.PHONY : play

# fast build rule for target.
play/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/play.dir/build.make tests/CMakeFiles/play.dir/build
.PHONY : play/fast

# Convenience name for target.
tests/CMakeFiles/playfli.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/playfli.dir/rule
.PHONY : tests/CMakeFiles/playfli.dir/rule

# Convenience name for target.
playfli: tests/CMakeFiles/playfli.dir/rule
.PHONY : playfli

# fast build rule for target.
playfli/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/playfli.dir/build.make tests/CMakeFiles/playfli.dir/build
.PHONY : playfli/fast

# Convenience name for target.
tests/CMakeFiles/test.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/test.dir/rule
.PHONY : tests/CMakeFiles/test.dir/rule

# Convenience name for target.
test: tests/CMakeFiles/test.dir/rule
.PHONY : test

# fast build rule for target.
test/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/test.dir/build.make tests/CMakeFiles/test.dir/build
.PHONY : test/fast

# Convenience name for target.
tests/CMakeFiles/vesainfo.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 tests/CMakeFiles/vesainfo.dir/rule
.PHONY : tests/CMakeFiles/vesainfo.dir/rule

# Convenience name for target.
vesainfo: tests/CMakeFiles/vesainfo.dir/rule
.PHONY : vesainfo

# fast build rule for target.
vesainfo/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/vesainfo.dir/build.make tests/CMakeFiles/vesainfo.dir/build
.PHONY : vesainfo/fast

afinfo.o: afinfo.c.o
.PHONY : afinfo.o

# target to build an object file
afinfo.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/afinfo.dir/build.make tests/CMakeFiles/afinfo.dir/afinfo.c.o
.PHONY : afinfo.c.o

afinfo.i: afinfo.c.i
.PHONY : afinfo.i

# target to preprocess a source file
afinfo.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/afinfo.dir/build.make tests/CMakeFiles/afinfo.dir/afinfo.c.i
.PHONY : afinfo.c.i

afinfo.s: afinfo.c.s
.PHONY : afinfo.s

# target to generate assembly for a file
afinfo.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/afinfo.dir/build.make tests/CMakeFiles/afinfo.dir/afinfo.c.s
.PHONY : afinfo.c.s

akaitest.o: akaitest.c.o
.PHONY : akaitest.o

# target to build an object file
akaitest.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f tests/CMakeFiles/akaitest.dir/build.make tests/CMakeFiles/akaitest.dir/akaitest.c.o
.PHONY : akaitest.c.o

=== build_old/addons/jpgalleg/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/addons/jpgalleg/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
addons/jpgalleg/CMakeFiles/jpgalleg.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/jpgalleg/CMakeFiles/jpgalleg.dir/rule
.PHONY : addons/jpgalleg/CMakeFiles/jpgalleg.dir/rule

# Convenience name for target.
jpgalleg: addons/jpgalleg/CMakeFiles/jpgalleg.dir/rule
.PHONY : jpgalleg

# fast build rule for target.
jpgalleg/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/build
.PHONY : jpgalleg/fast

src/decode.o: src/decode.c.o
.PHONY : src/decode.o

# target to build an object file
src/decode.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/decode.c.o
.PHONY : src/decode.c.o

src/decode.i: src/decode.c.i
.PHONY : src/decode.i

# target to preprocess a source file
src/decode.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/decode.c.i
.PHONY : src/decode.c.i

src/decode.s: src/decode.c.s
.PHONY : src/decode.s

# target to generate assembly for a file
src/decode.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/decode.c.s
.PHONY : src/decode.c.s

src/encode.o: src/encode.c.o
.PHONY : src/encode.o

# target to build an object file
src/encode.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/encode.c.o
.PHONY : src/encode.c.o

src/encode.i: src/encode.c.i
.PHONY : src/encode.i

# target to preprocess a source file
src/encode.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/encode.c.i
.PHONY : src/encode.c.i

src/encode.s: src/encode.c.s
.PHONY : src/encode.s

# target to generate assembly for a file
src/encode.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/encode.c.s
.PHONY : src/encode.c.s

src/error.o: src/error.c.o
.PHONY : src/error.o

# target to build an object file
src/error.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/error.c.o
.PHONY : src/error.c.o

src/error.i: src/error.c.i
.PHONY : src/error.i

# target to preprocess a source file
src/error.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/error.c.i
.PHONY : src/error.c.i

src/error.s: src/error.c.s
.PHONY : src/error.s

# target to generate assembly for a file
src/error.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/error.c.s
.PHONY : src/error.c.s

src/init.o: src/init.c.o
.PHONY : src/init.o

# target to build an object file
src/init.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/init.c.o
.PHONY : src/init.c.o

src/init.i: src/init.c.i
.PHONY : src/init.i

# target to preprocess a source file
src/init.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/init.c.i
.PHONY : src/init.c.i

src/init.s: src/init.c.s
.PHONY : src/init.s

# target to generate assembly for a file
src/init.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/init.c.s
.PHONY : src/init.c.s

src/io.o: src/io.c.o
.PHONY : src/io.o

# target to build an object file
src/io.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/io.c.o
.PHONY : src/io.c.o

src/io.i: src/io.c.i
.PHONY : src/io.i

# target to preprocess a source file
src/io.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/io.c.i
.PHONY : src/io.c.i

src/io.s: src/io.c.s
.PHONY : src/io.s

# target to generate assembly for a file
src/io.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/io.c.s
.PHONY : src/io.c.s

src/jpgalleg.o: src/jpgalleg.c.o
.PHONY : src/jpgalleg.o

# target to build an object file
src/jpgalleg.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/jpgalleg.c.o
.PHONY : src/jpgalleg.c.o

src/jpgalleg.i: src/jpgalleg.c.i
.PHONY : src/jpgalleg.i

# target to preprocess a source file
src/jpgalleg.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/jpgalleg.c.i
.PHONY : src/jpgalleg.c.i

src/jpgalleg.s: src/jpgalleg.c.s
.PHONY : src/jpgalleg.s

# target to generate assembly for a file
src/jpgalleg.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/jpgalleg/CMakeFiles/jpgalleg.dir/build.make addons/jpgalleg/CMakeFiles/jpgalleg.dir/src/jpgalleg.c.s
.PHONY : src/jpgalleg.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... jpgalleg"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... src/decode.o"
	@echo "... src/decode.i"
	@echo "... src/decode.s"
	@echo "... src/encode.o"
	@echo "... src/encode.i"
	@echo "... src/encode.s"
	@echo "... src/error.o"
	@echo "... src/error.i"
	@echo "... src/error.s"
	@echo "... src/init.o"
	@echo "... src/init.i"
	@echo "... src/init.s"
	@echo "... src/io.o"
	@echo "... src/io.i"
	@echo "... src/io.s"
	@echo "... src/jpgalleg.o"
	@echo "... src/jpgalleg.i"
	@echo "... src/jpgalleg.s"
.PHONY : help



#=============================================================================

=== build_old/addons/loadpng/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/addons/loadpng/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/loadpng/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/loadpng/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/loadpng/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/loadpng/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
addons/loadpng/CMakeFiles/loadpng.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/loadpng/CMakeFiles/loadpng.dir/rule
.PHONY : addons/loadpng/CMakeFiles/loadpng.dir/rule

# Convenience name for target.
loadpng: addons/loadpng/CMakeFiles/loadpng.dir/rule
.PHONY : loadpng

# fast build rule for target.
loadpng/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/build
.PHONY : loadpng/fast

loadpng.o: loadpng.c.o
.PHONY : loadpng.o

# target to build an object file
loadpng.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/loadpng.c.o
.PHONY : loadpng.c.o

loadpng.i: loadpng.c.i
.PHONY : loadpng.i

# target to preprocess a source file
loadpng.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/loadpng.c.i
.PHONY : loadpng.c.i

loadpng.s: loadpng.c.s
.PHONY : loadpng.s

# target to generate assembly for a file
loadpng.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/loadpng.c.s
.PHONY : loadpng.c.s

regpng.o: regpng.c.o
.PHONY : regpng.o

# target to build an object file
regpng.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/regpng.c.o
.PHONY : regpng.c.o

regpng.i: regpng.c.i
.PHONY : regpng.i

# target to preprocess a source file
regpng.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/regpng.c.i
.PHONY : regpng.c.i

regpng.s: regpng.c.s
.PHONY : regpng.s

# target to generate assembly for a file
regpng.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/regpng.c.s
.PHONY : regpng.c.s

savepng.o: savepng.c.o
.PHONY : savepng.o

# target to build an object file
savepng.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/savepng.c.o
.PHONY : savepng.c.o

savepng.i: savepng.c.i
.PHONY : savepng.i

# target to preprocess a source file
savepng.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/savepng.c.i
.PHONY : savepng.c.i

savepng.s: savepng.c.s
.PHONY : savepng.s

# target to generate assembly for a file
savepng.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/loadpng/CMakeFiles/loadpng.dir/build.make addons/loadpng/CMakeFiles/loadpng.dir/savepng.c.s
.PHONY : savepng.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... loadpng"
	@echo "... rebuild_cache"
	@echo "... loadpng.o"
	@echo "... loadpng.i"
	@echo "... loadpng.s"
	@echo "... regpng.o"
	@echo "... regpng.i"
	@echo "... regpng.s"
	@echo "... savepng.o"
	@echo "... savepng.i"
	@echo "... savepng.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== build_old/addons/logg/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/addons/logg/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/logg/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/logg/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/logg/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/logg/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
addons/logg/CMakeFiles/logg.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 addons/logg/CMakeFiles/logg.dir/rule
.PHONY : addons/logg/CMakeFiles/logg.dir/rule

# Convenience name for target.
logg: addons/logg/CMakeFiles/logg.dir/rule
.PHONY : logg

# fast build rule for target.
logg/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/logg/CMakeFiles/logg.dir/build.make addons/logg/CMakeFiles/logg.dir/build
.PHONY : logg/fast

logg.o: logg.c.o
.PHONY : logg.o

# target to build an object file
logg.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/logg/CMakeFiles/logg.dir/build.make addons/logg/CMakeFiles/logg.dir/logg.c.o
.PHONY : logg.c.o

logg.i: logg.c.i
.PHONY : logg.i

# target to preprocess a source file
logg.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/logg/CMakeFiles/logg.dir/build.make addons/logg/CMakeFiles/logg.dir/logg.c.i
.PHONY : logg.c.i

logg.s: logg.c.s
.PHONY : logg.s

# target to generate assembly for a file
logg.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f addons/logg/CMakeFiles/logg.dir/build.make addons/logg/CMakeFiles/logg.dir/logg.c.s
.PHONY : logg.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... logg"
	@echo "... rebuild_cache"
	@echo "... logg.o"
	@echo "... logg.i"
	@echo "... logg.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== build_old/demos/skater/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running interactive CMake command-line interface..."
	/usr/bin/cmake -i .
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/demos/skater/CMakeFiles/progress.marks
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
demos/skater/CMakeFiles/copy_skater_data.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/CMakeFiles/copy_skater_data.dir/rule
.PHONY : demos/skater/CMakeFiles/copy_skater_data.dir/rule

# Convenience name for target.
copy_skater_data: demos/skater/CMakeFiles/copy_skater_data.dir/rule
.PHONY : copy_skater_data

# fast build rule for target.
copy_skater_data/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/copy_skater_data.dir/build.make demos/skater/CMakeFiles/copy_skater_data.dir/build
.PHONY : copy_skater_data/fast

# Convenience name for target.
demos/skater/CMakeFiles/skater.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/CMakeFiles/skater.dir/rule
.PHONY : demos/skater/CMakeFiles/skater.dir/rule

# Convenience name for target.
skater: demos/skater/CMakeFiles/skater.dir/rule
.PHONY : skater

# fast build rule for target.
skater/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/build
.PHONY : skater/fast

# Convenience name for target.
demos/skater/CMakeFiles/skater_agl.dir/rule:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f CMakeFiles/Makefile2 demos/skater/CMakeFiles/skater_agl.dir/rule
.PHONY : demos/skater/CMakeFiles/skater_agl.dir/rule

# Convenience name for target.
skater_agl: demos/skater/CMakeFiles/skater_agl.dir/rule
.PHONY : skater_agl

# fast build rule for target.
skater_agl/fast:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/build
.PHONY : skater_agl/fast

source/anim.o: source/anim.c.o
.PHONY : source/anim.o

# target to build an object file
source/anim.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/anim.c.o
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/anim.c.o
.PHONY : source/anim.c.o

source/anim.i: source/anim.c.i
.PHONY : source/anim.i

# target to preprocess a source file
source/anim.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/anim.c.i
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/anim.c.i
.PHONY : source/anim.c.i

source/anim.s: source/anim.c.s
.PHONY : source/anim.s

# target to generate assembly for a file
source/anim.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/anim.c.s
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/anim.c.s
.PHONY : source/anim.c.s

source/backscrl.o: source/backscrl.c.o
.PHONY : source/backscrl.o

# target to build an object file
source/backscrl.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/backscrl.c.o
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/backscrl.c.o
.PHONY : source/backscrl.c.o

source/backscrl.i: source/backscrl.c.i
.PHONY : source/backscrl.i

# target to preprocess a source file
source/backscrl.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/backscrl.c.i
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/backscrl.c.i
.PHONY : source/backscrl.c.i

source/backscrl.s: source/backscrl.c.s
.PHONY : source/backscrl.s

# target to generate assembly for a file
source/backscrl.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/backscrl.c.s
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/backscrl.c.s
.PHONY : source/backscrl.c.s

source/credits.o: source/credits.c.o
.PHONY : source/credits.o

# target to build an object file
source/credits.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/credits.c.o
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/credits.c.o
.PHONY : source/credits.c.o

source/credits.i: source/credits.c.i
.PHONY : source/credits.i

# target to preprocess a source file
source/credits.c.i:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/credits.c.i
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/credits.c.i
.PHONY : source/credits.c.i

source/credits.s: source/credits.c.s
.PHONY : source/credits.s

# target to generate assembly for a file
source/credits.c.s:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/credits.c.s
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/credits.c.s
.PHONY : source/credits.c.s

source/dblbuf.o: source/dblbuf.c.o
.PHONY : source/dblbuf.o

# target to build an object file
source/dblbuf.c.o:
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater.dir/build.make demos/skater/CMakeFiles/skater.dir/source/dblbuf.c.o
	cd /home/rantalai/maemo/allegro/ptesti2/allegro-4.4.2/build && $(MAKE) -f demos/skater/CMakeFiles/skater_agl.dir/build.make demos/skater/CMakeFiles/skater_agl.dir/source/dblbuf.c.o
.PHONY : source/dblbuf.c.o

source/dblbuf.i: source/dblbuf.c.i
.PHONY : source/dblbuf.i

# target to preprocess a source file
source/dblbuf.c.i:

=== debian/changelog ===
allegro4.4 (2:4.4.2-maemo1) unstable; urgency=low

  * Packaging for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 10 Jul 2011 12:22:41 +0200

allegro4.4 (2:4.4.2-1~getdeb1) lucid; urgency=low

  * New upstream version
   Make rest(0) call select() with non-zero timeout on Unix.  The old
   implementation was no longer enough to make input responsive on X11,
   on programs which try to draw as fast as possible.  (Peter Wang)

   Fix module loading on Unix (Bernhard Rosenkraenzer).

   Made memory bitmaps returned by create_system_bitmap not marked as system
   bitmaps (Edgar Reynaldo).

   Add detection of Windows 7 (Andrei Ellman).

   Fail instead of crashing if gfx_directx_make_bitmap_from_surface() fails
   (Andrei Ellman).

   Fix crash in GDI driver if setting a second mode fails, after having
   successfully set a mode previously (Andrei Ellman).

   Add missing frameworks required for static linking on OS X (Peter Johansson).

   Fixed a problem with keyboard focus being lost on OS X when switching from
   windowed mode to fullscreen mode (Peter Johansson).

   alsa_rawmidi_init could return success on failure (Nicolas Kaiser).

   Updated PSP port from diedel.  "The graphics, system, digi, keyboard, mouse,
   joystick and timer drivers are implemented and are fully functional.  It
   supports 8, 15, 16 and 32 bpp color depths and a max. resolution of 480x272
   pixels."

   Eliminated the need for old DirectX headers for the Windows port
   (David Capello).

   Fix problems in Windows when you use Alt-Tab.  Sometimes the Alt modifier is
   kept pressed when you focus the Allegro window.  (David Capello)

   Make the submenu appear to the right of its parent menu if it does not fit
   in the screen (Paul Suntsov).

   Made timers on Unix cope with system time being set backwards
   (Hardi Stengelin).

   Fix various compilation and build problems (scottmc, Cristian Morales Vega,
   Tony Ylisirniö, Edgar Reynaldo).

   Added WANT_OSS, WANT_ALSA, WANT_JACK, WANT_SGIAUDIO options
   (Samuli Suominen).

   Also pass -pg when building shared library in PROFILE mode.

   Let demos find readme.txt and source files correctly even if running from a
   build directory (Peter Wang).

 -- Christoph Korn <christoph.korn@getdeb.net>  Mon, 30 May 2011 18:41:41 +0200

allegro4.4 (2:4.4.1.1-1~getdeb1) lucid; urgency=low

  * Upload to GetDeb.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 01 May 2011 15:18:20 +0200

allegro4.4 (2:4.4.1.1-2lucid1) lucid; urgency=low

  * Build for lucid
  * Small patch for building documentation

 -- Szymon Weihs <sz.weihs@gmail.com>  Sun, 17 Oct 2010 16:55:52 +0200

allegro4.4 (2:4.4.1.1-1) unstable; urgency=low

  * Initial release

 -- Szymon Weihs <sz.weihs@gmail.com>  Mon, 16 Aug 2010 11:22:43 +0200

=== debian/control ===
Source: allegro4.4
Section: devel
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 7), quilt, cmake, texinfo,
 libasound2-dev, libvorbis-dev, libx11-dev, 
 libpng12-dev
Standards-Version: 3.9.1
Homepage: http://alleg.sourceforge.net/

Package: liballeg4.4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: liballegro4.2
Conflicts: liballegro4.2
Priority: optional
Description: portable library for cross-platform game and multimedia development
 Allegro is a game programming library for C/C++ developers distributed freely.
 It provides many functions for graphics, sounds, player input (keyboard, 
 mouse and joystick) and timers. It also provides fixed and floating point 
 mathematical functions, 3d functions, file management functions, compressed 
 datafile and a GUI.

Package: liballeg4.4-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liballeg4.4 (= ${binary:Version}), libx11-dev, libpng12-dev, libglu1-mesa-dev, libvorbis-dev
Replaces: liballegro4.2-dev
Conflicts: liballegro4.2-dev
Priority: optional
Description: development files for the Allegro library
 This package contains the static libraries for the Allegro library with 
 the following addons: AllegroGL, JPGalleg, loadpng and LOGG.
 .
 Allegro is a cross-platform library intended for use in computer
 games and other types of multimedia programming. It is used by many
 DOS games and can be used to port them easily to Linux.
